problemas con make

Imagen de daker_83
0 puntos

Hola amigos.

soy nuevo en este mundo de linux....he tenido problemas con mi wifi,,,,he leido y empese a instalar atravez de linea de comandos...me muevo al directorio desde donde quiero instalar , escribo make como root y me aparece esto:

 

root@ubuntuserver:/home/gerardo/madwifi-0.9.4# make
cd: 1: can't cd to /lib/modules/2.6.22-14-386/build
Makefile.inc:66: *** /lib/modules/2.6.22-14-386/build is missing, please set KERNELPATH. Stop.

 

no puedo pasar de esta linea,

agradeceria su apoyo y ayuda de antemano.

Saludos

 

Imagen de neosng
+1
0
-1

Has de instalar las cabeceras de tu kernel, linux-headers-2.6.22-14.

Si te fijas en los requisitos para compilar el driver seguro que lo dice.

Saludos.

+1
0
-1
Imagen de daker_83
+1
0
-1

antes que nada gracias neosng por ayudarme...

 

pero como instalo las cabeceras de mi kernel???

 

Gracias de antemano

+1
0
-1
Imagen de oneko
+1
0
-1

Ejecuta en una consola:

    sudo aptitude install linux-headers-2.6.22-14

Si no tienes instaladas las herramientas de desarrollo, también necesitaras instalarlas:

    sudo aptitude install build-essential

Si te resulta mas cómodo tambien puedes instalar estos paquetes desde synaptic (herramienta gráfica para la instalación de paquetes). 

+1
0
-1
Imagen de daker_83
+1
0
-1

gracias oneko

ahora mismo lo intentare

saludos 

+1
0
-1
Imagen de daker_83
+1
0
-1

hola amigos

he hecho lo que me dijeron, instale las cabeceras del kernel...

no me marco ningun error,,,,pero sigo con el mismo problema, no puedo usar el make, me aparece el mismo error.

ya estoy desesperado....... 

 

+1
0
-1
Imagen de sansatan
+1
0
-1

Muéstranos lo que te devuelve el comando:

sudo dpkg -l | grep header 

y el comando

sudo uname -a 

--------------------------------------

Un error muy frecuente: Confundir valor y precio.

+1
0
-1

--------------------------------------

Un error muy frecuente: Confundir valor y precio.